Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.authenticator
Class SavedRequest

    java.lang.Object
      org.apache.catalina.authenticator.SavedRequest

    public final class SavedRequest

extends Object

Object that saves the critical information from a request so that form-based authentication can reproduce it once the user has been authenticated.

IMPLEMENTATION NOTE - It is assumed that this object is accessed only from the context of a single thread, so no synchronization around internal collection classes is performed.

Version:
  $Id: SavedRequest.java 1043272 2010-12-08 01:31:51Z markt $
Author:
  Craig R. McClanahan

Constructor Summary
`SavedRequest()`

Method Summary
`void` | `addCookie(Cookie cookie)`
`void` | `addHeader(String name, String value)`
`void` | `addLocale(Locale locale)`
`ByteChunk` | `getBody()`
`String` | `getContentType()`
`Iterator<Cookie>` | `getCookies()`
`Iterator<String>` | `getHeaderNames()`
`Iterator<String>` | `getHeaderValues(String name)`
`Iterator<Locale>` | `getLocales()`
`String` | `getMethod()`
`String` | `getQueryString()`
`String` | `getRequestURI()`
`void` | `setBody(ByteChunk body)`
`void` | `setContentType(String contentType)`
`void` | `setMethod(String method)`
`void` | `setQueryString(String queryString)`
`void` | `setRequestURI(String requestURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SavedRequest

    public SavedRequest()

Method Detail

### addCookie

    public void addCookie(Cookie cookie)

### getCookies

    public Iterator<Cookie> getCookies()

### addHeader

    public void addHeader(String name,
                          String value)

### getHeaderNames

    public Iterator<String> getHeaderNames()

### getHeaderValues

    public Iterator<String> getHeaderValues(String name)

### addLocale

    public void addLocale(Locale locale)

### getLocales

    public Iterator<Locale> getLocales()

### getMethod

    public String getMethod()

### setMethod

    public void setMethod(String method)

### getQueryString

    public String getQueryString()

### setQueryString

    public void setQueryString(String queryString)

### getRequestURI

    public String getRequestURI()

### setRequestURI

    public void setRequestURI(String requestURI)

### getBody

    public ByteChunk getBody()

### setBody

    public void setBody(ByteChunk body)

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.